Bug 1084583 - [RFE][PATCH] Allow specifying an 'int' for 'latest'
Summary: [RFE][PATCH] Allow specifying an 'int' for 'latest'
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1082830
TreeView+ depends on / blocked
 
Reported: 2014-04-04 18:52 UTC by Ralph Bean
Modified: 2015-03-29 14:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 14:13:09 UTC
Type: Bug


Attachments (Terms of Use)
Patch that allows specifying an "int" for "latest" (3.72 KB, patch)
2014-04-04 18:52 UTC, Ralph Bean
no flags Details | Diff

Description Ralph Bean 2014-04-04 18:52:45 UTC
Created attachment 882813 [details]
Patch that allows specifying an "int" for "latest"

This should preserve the pre-existing behavior, where if latest is set to True, only the latest builds in a tag are returned, and if latest is set to False, all the builds in a tag are returned.
 
The new behavior proposed here is a kind of middleground, where you can set latest=3, and only the latest three builds for each package in a tag are returned.
 
We want this ultimately for mashing rawhide so we can create a downgrade path for people if new builds break them.

See https://bugzilla.redhat.com/show_bug.cgi?id=1082830

Comment 1 Ralph Bean 2014-08-05 11:45:04 UTC
Patch rebased and sent to the buildsys list:  https://lists.fedoraproject.org/pipermail/buildsys/2014-August/004344.html

Comment 2 Ralph Bean 2015-02-23 16:08:44 UTC
Some discussion in this thread:  https://lists.fedoraproject.org/pipermail/buildsys/2015-February/004541.html

As of this moment it's not yet merged into the fedorahosted repo from what I can see.


Note You need to log in before you can comment on or make changes to this bug.